-- another slopination by ai
vim.api.nvim_create_augroup("LoadLuaOnMarkdownOrTxt", { clear = true })
vim.api.nvim_create_autocmd({"BufRead", "BufNewFile"}, {
    pattern = {"*.md", "*.txt"},
    callback = function()
      require("nico.txt.enter")
    end
})

vim.api.nvim_create_autocmd("BufLeave", {
    pattern = {"*.md", "*.txt"},
    callback = function()
      require("nico.txt.leave")
      require("nico.opts")
    end
})
